[Mongo Portable](../README.md) > [Aggregation](../classes/aggregation.md)



# Class: Aggregation

## Index

### Constructors

* [constructor](aggregation.md#constructor)


### Properties

* [logger](aggregation.md#logger)
* [pipeline](aggregation.md#pipeline)


### Methods

* [aggregate](aggregation.md#aggregate)
* [validStage](aggregation.md#validstage)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new Aggregation**(pipeline: *`any`*): [Aggregation](aggregation.md)


*Defined in [aggregation/Aggregation.ts:201](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/aggregation/Aggregation.ts#L201)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| pipeline | `any`   |  - |





**Returns:** [Aggregation](aggregation.md)

---


## Properties
<a id="logger"></a>

### «Protected» logger

**●  logger**:  *`JSWLogger`* 

*Defined in [aggregation/Aggregation.ts:199](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/aggregation/Aggregation.ts#L199)*





___

<a id="pipeline"></a>

###  pipeline

**●  pipeline**:  *`any`* 

*Defined in [aggregation/Aggregation.ts:201](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/aggregation/Aggregation.ts#L201)*





___


## Methods
<a id="aggregate"></a>

###  aggregate

► **aggregate**(collection: *`any`*): `any`



*Defined in [aggregation/Aggregation.ts:209](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/aggregation/Aggregation.ts#L209)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| collection | `any`   |  - |





**Returns:** `any`





___

<a id="validstage"></a>

###  validStage

► **validStage**(stage: *`any`*): `string`⎮`true`⎮`false`



*Defined in [aggregation/Aggregation.ts:240](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/aggregation/Aggregation.ts#L240)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| stage | `any`   |  - |





**Returns:** `string`⎮`true`⎮`false`





___


